%define gcj_support         1
%define eclipse_base        %{_datadir}/eclipse
%define svn_rev             18653

Name:           eclipse-rpm-editor
Version:        0.4.0
Release:        1%{?dist}
Summary:        RPM Specfile editor for Eclipse
Group:          Development/Tools
License:        EPL
URL:            http://wiki.eclipse.org/index.php/Linux_Distributions_Project
# This tarball was made using the included script, like so:
#   sh ./fetch-specfile-editor.sh %{svn_rev}
Source0:        specfile-editor-fetched-src-%{svn_rev}.tar.bz2
Source1:        fetch-specfile-editor.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %{gcj_support}
BuildRequires:    gcc-java
BuildRequires:    java-gcj-compat-devel
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%else
BuildRequires:    java-devel >= 1.5.0
%endif
%if ! %{gcj_support}
BuildArch: noarch
%endif
BuildRequires: eclipse-pde >= 1:3.3.0
BuildRequires: eclipse-changelog >= 2.5.1
Requires: eclipse-platform >= 3.3.1 
Requires: eclipse-changelog >= 2.5.1
Requires: rpmlint >= 0.81
Requires: rpmdevtools 

# These plugins are really noarch but they the changelog plugin need cdt which 
# we only build on these architectures.
%if %{gcj_support}
ExclusiveArch: %{ix86} x86_64 ppc ia64
%else
ExclusiveArch: %{ix86} x86_64 ppc ia64
%endif

%description
The Eclipse Specfile Editor package contains Eclipse plugins that are
useful for maintenance of RPM specfiles within the Eclipse IDE.

%prep
%setup -q -n specfile-editor-fetched-src-%{svn_rev}

%build
%{eclipse_base}/buildscripts/pdebuild -f  org.eclipse.linuxtools.rpm.ui.editor \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -d changelog


%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{eclipse_base}
unzip -q -d %{buildroot}%{eclipse_base}/.. \
 build/rpmBuild/org.eclipse.linuxtools.rpm.ui.editor.zip

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf %{buildroot}

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(-,root,root,-)
%{eclipse_base}/plugins/org.eclipse.linuxtools.rpm.ui.editor_*.jar
%{eclipse_base}/plugins/org.eclipse.linuxtools.rpm.rpmlint_*.jar
%dir %{eclipse_base}/features/org.eclipse.linuxtools.rpm.ui.editor_*/
%doc %{eclipse_base}/features/org.eclipse.linuxtools.rpm.ui.editor_*/*.html
%{eclipse_base}/features/org.eclipse.linuxtools.rpm.ui.editor_*/*.xml
%{eclipse_base}/features/org.eclipse.linuxtools.rpm.ui.editor_*/*.properties
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/org.eclipse.linuxtools.rpm.*
%endif

%changelog
* Wed Jun 29 2008 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.4.0-1
- bump to 0.4.0

* Wed Jun 25 2008 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.3.0-3
- Using pdebuild.

* Fri May 1 2008 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.3.0-2
- Bump to 0.3.0

* Wed Apr 23 2008 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.2.1-4
- Revert last changes

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.1-3
- Autorebuild for GCC 4.3

* Sat Dec 15 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.2.1-2
- Add Sources completion (Contributed by Alexander Kurtakov)

* Sat Dec 15 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.2.1-1
- RFE eclipse spec editor should allow users to configure the 
  format of the changelog entry (#421881)

* Wed Nov 28 2007 fons <fons@xp2000.leafamily.org> 0.2.0-2
- Add support for URPM tool and cancel support to RpmPackageBuildProposalsJob. 
- Fix Bug #207207
	
* Sun Oct 14 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.1.0-10
- Just tag the sources correctly. 

* Sun Oct 14 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.1.0-9
- Fix https://bugs.eclipse.org/bugs/show_bug.cgi?id=206160
- Fix https://bugzilla.redhat.com/show_bug.cgi?id=327101

* Mon Sep 24 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.1.0-8
- Fix https://bugs.eclipse.org/bugs/show_bug.cgi?id=204146
- Fix https://bugs.eclipse.org/bugs/show_bug.cgi?id=204150

* Mon Sep 3 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.1.0-7
- Requires rpmlint >= 0.81

* Mon Sep 3 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.1.0-6
- Remove rpmlint-remove-rpmlint-plugin.patch because rpmlint 0.81 is out.

* Sun Sep 2 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.1.0-5
- Only build the plugin where the changelog plugin can be build, only
  x86 x86_64 ppc and ia64 arches are supported by the changelog plugin because
  of dependencies on the cdt plugin.

* Sat Sep 1 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.1.0-4
- Disable temporarily rpmlint Plug-In because rpmlint 0.80 is not supported. 

* Thu Aug 29 2007 Alphonse Van Assche <alcapcom@gmail.com> 0.1.0-3
- Fix the description tag (see comment 9 of #253434for more details).
- Lower the rpmlint required version form 0.81 to 0.80.

* Sun Aug 26 2007 Alphonse Van Assche <alcapcom@gmail.com> 0.1.0-2
- Fix License tag.

* Wed Aug 15 2007 Alphonse Van Assche <alcapcom@gmail.com> 0.1.0-1
- Initial package.
