#!/bin/sh
name=specfile-editor
svn_repo="svn://dev.eclipse.org/svnroot/technology/org.eclipse.linuxtools/rpm/trunk/"

# Usage message
usage="usage: $0 <svn_rev>"
tag=$1
tar_name=$name-fetched-src-$tag

# Ensure we got the desired CVS tag
if [ "x$tag"x = "xx" ]
then
   echo >&2 "$usage"
   exit 1
fi

# cleanup dir
rm -fr $tar_name
# prepare archive
mkdir $tar_name
pushd $tar_name &> /dev/null
for bundle in \
"org.eclipse.linuxtools.rpm.ui.editor" \
"org.eclipse.linuxtools.rpm.rpmlint" \
"org.eclipse.linuxtools.rpm.ui.editor-feature"; 
do 
svn export $svn_repo/$bundle 
done
popd &> /dev/null
# create archive
tar -cjf $tar_name.tar.bz2 $tar_name

